Bug 1549192 (CVE-2018-1061)

Summary: CVE-2018-1061 python: DOS via regular expression backtracking in difflib.IS_LINE_JUNK method in difflib
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: adev88, cstratak, dmalcolm, hhorak, jeffrey.ness, jorton, kevin, lzachar, mhroncok, pviktori, python-maint, rkuska, security-response-team, shcherbina.iryna, TicoTimo, tomspur, torsava
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: python 2.7.15, python 3.4.9, python 3.5.6, python 3.7.0 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the way catastrophic backtracking was implemented in python's difflib.IS_LINE_JUNK method. An attacker could use this flaw to cause denial of service.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:41:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1802759, 1563459, 1563461, 1563462, 1563463, 1563464, 1563465, 1563485, 1563486, 1563487, 1563488, 1563489, 1709355, 1709381, 1802760, 1802761    
Bug Blocks: 1549194    

Description Pedro Sampaio 2018-02-26 16:20:03 UTC
Catastrophic backtracking vulnerability was found in Python. Exploitation of a regular expression in difflib.IS_LINE_JUNK method in servers that use difflib can lead to denial of service.

Upstream issue:

https://bugs.python.org/issue32981

Comment 1 Huzaifa S. Sidhpurwala 2018-04-04 01:42:43 UTC
Created python3 tracking bugs for this issue:

Affects: fedora-all [bug 1563462]


Created python26 tracking bugs for this issue:

Affects: fedora-all [bug 1563464]


Created python33 tracking bugs for this issue:

Affects: fedora-all [bug 1563465]


Created python34 tracking bugs for this issue:

Affects: fedora-all [bug 1563463]


Created python35 tracking bugs for this issue:

Affects: fedora-all [bug 1563461]

Comment 2 Huzaifa S. Sidhpurwala 2018-04-04 01:56:23 UTC
External References:

https://docs.python.org/3.6/whatsnew/changelog.html#python-3-6-5-final

Comment 4 Huzaifa S. Sidhpurwala 2018-04-04 02:22:31 UTC
Acknowledgments:

Name: the Python security response team

Comment 5 errata-xmlrpc 2018-10-30 07:24:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3041 https://access.redhat.com/errata/RHSA-2018:3041

Comment 6 errata-xmlrpc 2019-05-22 12:01:49 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:1260 https://access.redhat.com/errata/RHSA-2019:1260

Comment 7 errata-xmlrpc 2019-11-06 09:45:09 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6

Via RHSA-2019:3725 https://access.redhat.com/errata/RHSA-2019:3725

Comment 9 errata-xmlrpc 2020-04-01 08:33:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.5 Extended Update Support

Via RHSA-2020:1268 https://access.redhat.com/errata/RHSA-2020:1268